Re-configures timer event

- « Event::setPriority

- Event::signal »

- PHP Manual
- Event
- Re-configures timer event

# Event::setTimer

(PECL event >= 1.2.6-beta)

Event::setTimer — Re-configures timer event

### Description

public Event::setTimer( EventBase `$base` , callable `$cb` , mixed `$arg` = ?): bool

Re-configures timer event. Note, this function doesn't invoke obsolete libevent's `event_set` . It calls `event_assign` instead.

### Parameters

`base`

  The event base to associate with.

`cb`

  The timer event callback. See Event callbacks .

`arg`

  Custom data. If specified, it will be passed to the callback when event triggers.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- Event::__construct() - Constructs Event object
- Event::timer() - Constructs timer event object